# coding:utf-8

from setuptools import setup, find_packages

long_desc = """
An easy configurable Daemon to monitor the free space of localy mounted volumes.
The default is to scan all mounted volumes and report to syslog if any volume
exceeds 90% usage, but it's also possible to monitor only certain filesystems
and report directly via email if for example the free space falls below a fixed
value.
"""

setup(name='sDSM',
	version='0.1',
	description='Monitor Daemon that checks free disk space at an regular interval',
	author='Christian Schwamborn',
	author_email='cs@mail.architektur.tu-darmstadt.de',
	license='GPL v.3',
	url='http://ftp.architektur.tu-darmstadt.de',
	platforms='UNIX',
	scripts = ['sdsmd', ],
	long_description = long_desc,
	packages=find_packages(),
	data_files = [
		('/etc', ['etc/sdsm.conf']),
#		('/etc/init.d', ['etc/init.d/sdsmd']),
#		('/etc/logcheck/ignore.d.server', ['etc/logcheck/sdsm']),
#		('/lib/systemd/system', ['etc/systemd/sdsmd.service']),
	],
)

